vnfd:vnfd-catalog:
    vnfd:
    -   id: simple_ee-vnf
        name: simple_ee-vnf
        short-name: simple_ee-vnf
        version: "1.0"
        description: A VNF consisting of 1 VDU with cloud-init, and a monitoring ee
        logo: osm.png
        connection-point:
        -   id: vnf-mgmt
            name: vnf-mgmt
            short-name: vnf-mgmt
            type: VPORT
        mgmt-interface:
            cp: vnf-mgmt
        vdu:
        -   id: mgmtVM
            name: mgmtVM
            image: ubuntu16.04
            count: 1
            vm-flavor:
                vcpu-count: 1
                memory-mb: 1024
                storage-gb: 20
            guest-epa:
                cpu-pinning-policy: DEDICATED
                cpu-thread-pinning-policy: PREFER
                mempage-size: LARGE
                numa-node-policy:
                    mem-policy: STRICT
                    node-cnt: '1'
                    node:
                    -   id: '1'
            interface:
            -   name: mgmtVM-eth0
                position: 1
                type: EXTERNAL
                virtual-interface:
                    type: PARAVIRT
                external-connection-point-ref: vnf-mgmt
            cloud-init-file: cloud-config.txt
        vnf-configuration:
            config-access:
                ssh-access:
                    default-user: ubuntu
                    required: true
            #juju:
            #    charm: simple-proxy
            execution-environment-list:
            -   id: monitor
                helm-chart: eechart-0.1.0.tgz
                metric-service: monitor-snmp-exporter
                connection-point-ref: vnf-monitor-cp
            initial-config-primitive:
            -   seq: "1"
                name: config
                execution-environment-ref: monitor
                parameter:
                -   name: ssh-hostname
                    value: <rw_mgmt_ip>
                -   name: ssh-username
                    value: ubuntu
                -   name: ssh-password
                    value: osm4u
            -   seq: "2"
                name: touch
                execution-environment-ref: monitor
                parameter:
                -   name: file-path
                    value: "/home/ubuntu/first-touch"
            config-primitive:
            -   name: touch
                execution-environment-ref: monitor
                execution-environment-primitive: touch
                parameter:
                -   name: file-path
                    default-value: "/home/ubuntu/touched"
                    data-type: STRING
            -   name: sleep
                execution-environment-ref: monitor
                execution-environment-primitive: sleep
    
